# psb_qaqc

WIP

For Japanese: [./docs/README-ja.md](README-ja.md)

## For developers
Use `rustup` to set up developing tools.

### build / run
```sh
cargo build
cargo run -- -h
```

Build for JATHub using cross:
```sh
CROSS_CONTAINER_ENGINE=podman cross build --release --target armv7-unknown-linux-musleabihf
```
`CROSS_CONTAINER_ENGINE=podman` is optional(default docker).

### test
```sh
cargo test
```

### doc
```sh
cargo doc --open
```

## TODO
- add more unittests
- test for various cases
- split into mods(maybe as lib crates)
- add csv check/validate subcommand
- skew measurement?
- skew measurement test

check `TODO`s in comments.
